### Method

# GtkSource SearchContext replace

#### Declaration [src]

    gboolean
    gtk_source_search_context_replace (
      GtkSourceSearchContext* search,
      GtkTextIter* match_start,
      GtkTextIter* match_end,
      const gchar* replace,
      gint replace_length,
      GError** error
    )

#### Description [src]

Replaces a search match by another text. If `match_start` and `match_end` doesn’t correspond to a search match, `FALSE` is returned.

`match_start` and `match_end` iters are revalidated to point to the replacement text boundaries.

For a regular expression replacement, you can check if `replace` is valid by calling `g_regex_check_replacement()`. The `replace` text can contain backreferences.

#### Parameters

`match_start`

  Type: `GtkTextIter`

  The start of the match to replace.

  The data is owned by the caller of the method.

`match_end`

  Type: `GtkTextIter`

  The end of the match to replace.

  The data is owned by the caller of the method.

`replace`

  Type: `const gchar*`

  The replacement text.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`replace_length`

  Type: `gint`

  The length of `replace` in bytes, or -1.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the match has been replaced.